Nova RouterNova Router
Quick StartAPI ReferenceAgent Tool Integrations
AI Model APIVideosSora Format

Get Video Task Status

OpenAI-compatible video task status query interface.

Returns detailed status information for video tasks.

GET
/v1/videos/{task_id}

Authorization

BearerAuth

AuthorizationBearer <token>

Use Bearer token authentication. Format: Authorization: Bearer sk-xxxxxx

In: header

Path Parameters

task_id*string

Video Task ID

Response Body

application/json

application/json

curl -X GET "https://router.bit-tech.com.cn/v1/videos/string"
{
  "id": "string",
  "object": "string",
  "model": "string",
  "status": "string",
  "progress": 0,
  "created_at": 0,
  "seconds": "string"
}
{
  "error": {
    "message": "string",
    "type": "string",
    "param": "string",
    "code": "string"
  }
}

How is this guide?